Bug 991763 - requires satyr >= 0.5
requires satyr >= 0.5
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: satyr (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Milata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-04 06:05 EDT by John Freed
Modified: 2013-08-06 09:01 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-06 09:01:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Freed 2013-08-04 06:05:50 EDT
Description of problem:
New versions of libreport and abrt require satyr >= 0.5 but current version in FC19 is 0.4

FYI, current Github version is 0.6

Error message from apper:
libreport-2.1.6-2.fc19.x86_64 requires satyr >= 0.5
abrt-2.1.6-2.fc19.x86_64 requires satyr >= 0.5 

Version-Release number of selected component (if applicable):
0.4-1

How reproducible:
Try to install newest libreport and abrt

Steps to Reproduce:
1. Launch apper
2. Press Apply
3.

Actual results:
libreport and abrt fail to update

Expected results:
libreport and abrt update


Additional info:
Comment 1 Łukasz Posadowski 2013-08-04 06:13:39 EDT
Satyr 0.5 is in updates-testing, so you can install it from there before updating:
yum --enablerepo=updates-testing install satyr
yum update
Comment 2 John Freed 2013-08-04 06:24:49 EDT
Thanks, though that is a workaround, not a fix. Wondering how this got past quality control? Clearly the latest libreport and abrt should not be in updates if one of the requires is still in testing?
Comment 3 Łukasz Mierzwa 2013-08-04 15:35:46 EDT
Also it's not possible to install Fedora with netboot iso due to this bug
Comment 4 Christian 2013-08-04 17:25:41 EDT
time will fix this issue
Comment 5 Jonathan Ryshpan 2013-08-04 19:47:41 EDT
(In reply to Christian from comment #4)
> time will fix this issue

How much time?
Comment 6 Mark 2013-08-04 20:56:37 EDT
I've run into this problem also.

Here's the output:

Error: Package: abrt-2.1.6-2.fc19.x86_64 (updates)
           Requires: satyr >= 0.5
           Available: satyr-0.3-2.fc19.i686 (fedora)
               satyr = 0.3-2.fc19
           Available: satyr-0.4-1.fc19.i686 (updates)
               satyr = 0.4-1.fc19
Error: Package: libreport-2.1.6-2.fc19.x86_64 (updates)
           Requires: satyr >= 0.5
           Available: satyr-0.3-2.fc19.i686 (fedora)
               satyr = 0.3-2.fc19
           Available: satyr-0.4-1.fc19.i686 (updates)
               satyr = 0.4-1.fc19
Comment 7 John Freed 2013-08-05 10:46:49 EDT
(In reply to Christian from comment #4)
> time will fix this issue

Well, time will fix most stuff, and time will eventually break everything. My question was more of this: how did libreport and abrt get released when one of their dependencies did not get released? I would think there would be some (easy) automated way of preventing this.

And in the meantime, it seems either a downgrade of libreport and abrt would be in order, or else a release of satyr.
Comment 8 Gert Vervoort 2013-08-05 13:39:12 EDT
Same problem here:

[gert@jupiter tmp]$ sudo yum update 
Loaded plugins: auto-update-debuginfo, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package abrt.x86_64 0:2.1.5-1.fc19 will be updated
---> Package abrt.x86_64 0:2.1.6-2.fc19 will be an update
--> Processing Dependency: satyr >= 0.5 for package: abrt-2.1.6-2.fc19.x86_64
--> Processing Dependency: libsatyr.so.1()(64bit) for package: abrt-2.1.6-2.fc19.x86_64
---> Package abrt-addon-ccpp.x86_64 0:2.1.5-1.fc19 will be updated
---> Package abrt-addon-ccpp.x86_64 0:2.1.6-2.fc19 will be an update
---> Package abrt-addon-kerneloops.x86_64 0:2.1.5-1.fc19 will be updated
---> Package abrt-addon-kerneloops.x86_64 0:2.1.6-2.fc19 will be an update
---> Package abrt-addon-python.x86_64 0:2.1.5-1.fc19 will be updated
---> Package abrt-addon-python.x86_64 0:2.1.6-2.fc19 will be an update
---> Package abrt-addon-uefioops.x86_64 0:2.1.5-1.fc19 will be updated
---> Package abrt-addon-uefioops.x86_64 0:2.1.6-2.fc19 will be an update
---> Package abrt-addon-vmcore.x86_64 0:2.1.5-1.fc19 will be updated
---> Package abrt-addon-vmcore.x86_64 0:2.1.6-2.fc19 will be an update
---> Package abrt-addon-xorg.x86_64 0:2.1.5-1.fc19 will be updated
---> Package abrt-addon-xorg.x86_64 0:2.1.6-2.fc19 will be an update
---> Package abrt-dbus.x86_64 0:2.1.5-1.fc19 will be updated
---> Package abrt-dbus.x86_64 0:2.1.6-2.fc19 will be an update
---> Package abrt-desktop.x86_64 0:2.1.5-1.fc19 will be updated
---> Package abrt-desktop.x86_64 0:2.1.6-2.fc19 will be an update
---> Package abrt-gui.x86_64 0:2.1.5-1.fc19 will be updated
---> Package abrt-gui.x86_64 0:2.1.6-2.fc19 will be an update
---> Package abrt-libs.x86_64 0:2.1.5-1.fc19 will be updated
---> Package abrt-libs.x86_64 0:2.1.6-2.fc19 will be an update
---> Package abrt-plugin-bodhi.x86_64 0:2.1.5-1.fc19 will be updated
---> Package abrt-plugin-bodhi.x86_64 0:2.1.6-2.fc19 will be an update
---> Package abrt-retrace-client.x86_64 0:2.1.5-1.fc19 will be updated
---> Package abrt-retrace-client.x86_64 0:2.1.6-2.fc19 will be an update
---> Package gnome-abrt.x86_64 0:0.2.12-3.fc19 will be updated
---> Package gnome-abrt.x86_64 0:0.3.0-3.fc19 will be an update
---> Package libreport.x86_64 0:2.1.5-1.fc19 will be updated
---> Package libreport.x86_64 0:2.1.6-2.fc19 will be an update
--> Processing Dependency: satyr >= 0.5 for package: libreport-2.1.6-2.fc19.x86_64
---> Package libreport-cli.x86_64 0:2.1.5-1.fc19 will be updated
---> Package libreport-cli.x86_64 0:2.1.6-2.fc19 will be an update
---> Package libreport-fedora.x86_64 0:2.1.5-1.fc19 will be updated
---> Package libreport-fedora.x86_64 0:2.1.6-2.fc19 will be an update
---> Package libreport-filesystem.x86_64 0:2.1.5-1.fc19 will be updated
---> Package libreport-filesystem.x86_64 0:2.1.6-2.fc19 will be an update
---> Package libreport-gtk.x86_64 0:2.1.5-1.fc19 will be updated
---> Package libreport-gtk.x86_64 0:2.1.6-2.fc19 will be an update
--> Processing Dependency: fros >= 1.0 for package: libreport-gtk-2.1.6-2.fc19.x86_64
---> Package libreport-newt.x86_64 0:2.1.5-1.fc19 will be updated
---> Package libreport-newt.x86_64 0:2.1.6-2.fc19 will be an update
---> Package libreport-plugin-bugzilla.x86_64 0:2.1.5-1.fc19 will be updated
---> Package libreport-plugin-bugzilla.x86_64 0:2.1.6-2.fc19 will be an update
---> Package libreport-plugin-kerneloops.x86_64 0:2.1.5-1.fc19 will be updated
---> Package libreport-plugin-kerneloops.x86_64 0:2.1.6-2.fc19 will be an update
---> Package libreport-plugin-logger.x86_64 0:2.1.5-1.fc19 will be updated
---> Package libreport-plugin-logger.x86_64 0:2.1.6-2.fc19 will be an update
---> Package libreport-plugin-reportuploader.x86_64 0:2.1.5-1.fc19 will be updated
---> Package libreport-plugin-reportuploader.x86_64 0:2.1.6-2.fc19 will be an update
---> Package libreport-plugin-ureport.x86_64 0:2.1.5-1.fc19 will be updated
---> Package libreport-plugin-ureport.x86_64 0:2.1.6-2.fc19 will be an update
---> Package libreport-python.x86_64 0:2.1.5-1.fc19 will be updated
---> Package libreport-python.x86_64 0:2.1.6-2.fc19 will be an update
---> Package libreport-web.x86_64 0:2.1.5-1.fc19 will be updated
---> Package libreport-web.x86_64 0:2.1.6-2.fc19 will be an update
--> Running transaction check
---> Package abrt.x86_64 0:2.1.6-2.fc19 will be an update
--> Processing Dependency: satyr >= 0.5 for package: abrt-2.1.6-2.fc19.x86_64
---> Package fros.noarch 0:1.0-1.fc19 will be installed
---> Package libreport.x86_64 0:2.1.6-2.fc19 will be an update
--> Processing Dependency: satyr >= 0.5 for package: libreport-2.1.6-2.fc19.x86_64
---> Package satyr.x86_64 0:0.4-1.fc19 will be installed
--> Finished Dependency Resolution
Error: Package: abrt-2.1.6-2.fc19.x86_64 (updates)
           Requires: satyr >= 0.5
           Available: satyr-0.3-2.fc19.i686 (fedora)
               satyr = 0.3-2.fc19
           Available: satyr-0.4-1.fc19.i686 (updates)
               satyr = 0.4-1.fc19
Error: Package: libreport-2.1.6-2.fc19.x86_64 (updates)
           Requires: satyr >= 0.5
           Available: satyr-0.3-2.fc19.i686 (fedora)
               satyr = 0.3-2.fc19
           Available: satyr-0.4-1.fc19.i686 (updates)
               satyr = 0.4-1.fc19
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
Comment 9 Christian 2013-08-05 14:39:56 EDT
@John, Jonathan the time comment was meant ironically and I admit this might not belong here

Related to the issue, the required satyr version was submitted into stable (satyr-0.5-2.fc19.i686) and I updated my whole system without any problems.
https://admin.fedoraproject.org/updates/satyr?_csrf_token=39585579dcaa4d66e3a3531f87370081a4a13097

For those who have still problems, maybe some mirrors have still to sync.
Comment 10 Martin Milata 2013-08-06 09:01:13 EDT
satyr-0.5 is in stable repository now. I apologize for this situation, we'll be more careful about the dependencies next time.

Note You need to log in before you can comment on or make changes to this bug.